Architektur Grundstück

From FreeCAD Documentation
Revision as of 10:30, 9 May 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Building.svg Gebäude Vorherige:
Nächste: Fenster Arch Window.svg Arrow-right.svg

Arch Site.svg Baugrund

Menüeintrag
Architektur → Grundstück
Arbeitsbereich
Arch
Standardtastenkürzel
S I
In der Version eingeführt
-
Siehe auch
Etage, Gebäude


Beschreibung

Der Baugrund ist ein spezielles Objekt, das Eigenschaften eines Standard-FreeCAD-Group-Objekts und Arch-Objekten kombiniert. Es ist besonders zur Repräsentation einer gesamten Projektfläche bzw. eines Terrains geeignet. In IFC-basierter architektonischer Arbeit dient es der Organisation des CAD-Modells und enthält Gebäude-Objekte. Der Baugrund wird auch verwendet, um vorhandenes Gelände zu verwalten und anzuzeigen und kann benutzt werden, um das Volumen von aufzufüllender oder abzutragender Erde zu berechnen.

Anwendung

  1. Selektieren Sie optional ein oder mehrere Objekte, welche in den neuen Baugrund übernommen werden sollen.
  2. Drücken Sie die Schaltfläche Arch Site.png Baugrund oder die Tasten S, dann I.

Optionen

  • Nach Anlegen des Baugrunds können diesem ein oder mehrere Objekte durch Ziehen in die Baumansicht oder mittels Arch Add.png Hinzufügen-Werkzeug hinzugefügt werden.
  • Durch Ziehen von Objekten aus der Baumansicht oder mittels Arch Remove.png Entfernen-Werkzeug können Objekte vom Baugrund entfernt werden.

Eigenschaften

Data

  • DATATerrain: The base terrain of this site
  • DATAAddress: The street and housenumber of this site
  • DATAPostal Code: The postal or zip code of this site
  • DATACity: The city of this site
  • DATACountry: The country of this site
  • DATALatitude: The latitude of this site
  • DATALongitude: The longitude of this site
  • DATAUrl: An url that shows this site in a mapping website
  • DATAProjected Area: The area of the projection of this object onto the XY plane
  • DATAPerimeter: The perimeter length of this terrain
  • DATAAddition Volume: The volume of earth to be added to this terrain
  • DATASubtraction Volume: The volume of earth to be removed from this terrain
  • DATAExtrusion Vector: An extrusion vector to use when performing boolean operations
  • DATARemove Splitter: Remove splitters from the resulting shape
  • DATADeclination: The angle between the true North and the North direction in this document, that is, the Y axis. introduced in version 0.18 This means that by default North points to the Y axis, and East to the X axis; the angle increments counterclockwise. This property was previously known as DATANorth Deviation.

View

  • VIEWSolar Diagram: Shows or hides the solar diagram
  • VIEWSolar Diagram Color: The color of the solar diagram
  • VIEWSolar Diagram Position: The position of the solar diagram
  • VIEWSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part → Create Shape from Mesh. Then, create a Site object, and set its DATATerrain property to the Part we just created:

Arch site example 01.jpg

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

Arch site example 02.jpg

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Arch site example 03.jpg

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, DATALongitude, DATALatitude and DATADeclination (previously DATANorth Deviation) must be correctly set, and VIEWSolar Diagram set to True. introduced in version 0.17

Pysolar 0.7 or above is required; this version only works with Python 3. If you require this feature with Python 2, you should have Pysolar 0.6 as this is the last version that works with Python 2.

Freecad-solar-diagram.jpg

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Baugrund-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
erzeugt einen Baugrund inklusive der in der Liste angegebenen Objekte

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Solar diagram

As long as the pysolar module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.

Please note that Pysolar 0.7 or above is required, and this version only works with Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Solar diagram independent of Site

A solar diagram can be created with the following function, independently of any site.

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn, which shows the full solar analemma.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
Arrow-left.svg Arch Building.svg Gebäude Vorherige:
Nächste: Fenster Arch Window.svg Arrow-right.svg